Mono.Addins 0.4.0.0 1.0.0.0 System.Object An add-in. Represents an add-in installed in a registry.
- Property
  System.String Location of the add-in. Full path to the add-in. Returns the location of the add-in. It can be an assembly or a .addin file (when distributed standalone). 0.4.0.0
- Method
  System.Int32 `` `` To be added. To be added. Compares two add-in versions. To be added. To be added. 0.4.0.0
- Property
  Mono.Addins.Description.AddinDescription Description of the add-in. The description of the add-in. 0.4.0.0
- Property
  System.Boolean Gets or sets the enabled status of the add-in. 'true' if enabled.

  This property can be used to enable or disable an add-in. The enabled status of an add-in is stored in the add-in registry, so when an add-in is disabled, it will be disabled for all applications sharing the same registry.

  When an add-in is enabled or disabled, the extension points currently loaded in memory will be properly updated to include or exclude extensions from the add-in.

  0.4.0.0
- Method
  System.String `` `` `` To be added. To be added. To be added. Returns the full id of an add-in. To be added. To be added. 0.4.0.0
- Method
  System.String `` To be added. Returns the namespace and id from a full add-in id. To be added. To be added. 0.4.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 0.4.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 0.4.0.0
- Property
  System.String Identifier of the add-in. Identifier of the add-in. Full identifier of the add-in, including namespace and version. 0.4.0.0
- Property
  0.4.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.String Local identifier of the add-in. The ID. Does not include the namespace. 0.4.0.0
- Property
  System.String Display name of the add-in. The name. Name to be shown in the add-in management tools. 0.4.0.0
- Property
  System.String Namespace of the add-in. Namespace of the add-in. 0.4.0.0
- Method
  System.Boolean `` An add-in version. Checks version compatibility. True if the provided version is compatible with this add-in. This method checks the CompatVersion property to know if the provided version is compatible with the version of this add-in. 0.4.0.0
- Method
  0.4.0.0
  System.String To be added. To be added. To be added.
- Property
  System.String Version of the add-in. The version. 0.4.0.0